/* ************************************************************************** */
/*                                                                            */
/*                                                        ::::::::            */
/*   render.h                                           :+:    :+:            */
/*                                                     +:+                    */
/*   By: whaffman <whaffman@student.codam.nl>         +#+                     */
/*                                                   +#+                      */
/*   Created: 2025/04/15 16:28:16 by qmennen       #+#    #+#                 */
/*   Updated: 2025/05/04 13:21:04 by whaffman      ########   odam.nl         */
/*                                                                            */
/* ************************************************************************** */

#ifndef RENDER_H
# define RENDER_H

# include "cub3d.h"

int		render_check_bounds(t_screen *screen, t_vec2 *point);
void	render_line(t_screen *screen, t_vec2 start, t_vec2 end, unsigned int color);
void	render_circle(t_screen *screen, t_vec2 point, int radius, unsigned int color);
void	render_clear(t_screen *screen);
void	render_entities(t_game *game);
void	render_map(t_screen *screen, t_map *map);
void    cast_rays(t_game *game);


#endif
